--
--  rhnop
--
--  Copyright (C) 2011 Christian Pointner <equinox@helsinki.at>
--
--  This file is part of rhnop.
--
--  rhnop is free software: you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation, either version 3 of the License, or
--  any later version.
--
--  rhnop is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with rhnop. If not, see <http://www.gnu.org/licenses/>.
--

local conf = {}

local filename = "/etc/rhnop/nopsyncd.conf"

local file = assert(io.open(filename, "r"))
for line in file:lines() do 
   local k,v = string.match(line, "^([^=#]+)=(.*)$")
   if k and v and v ~= "" then
      conf[k] = v
   end                      
end
file:close()

if conf.music_carts_lo == nil then
  conf.music_carts_lo = 400000
end
if conf.music_carts_hi == nil then
  conf.music_carts_hi = 499999
end
conf.music_carts_lo = tonumber(conf.music_carts_lo)
conf.music_carts_hi = tonumber(conf.music_carts_hi)

return conf
